#pragma once

namespace essai00 {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;
	using namespace System::Net::Sockets;
	using namespace System::IO;
	using namespace std;



	void construitPost(String^ addrIP,String^ sMessage,String^ &sPost)
	{
		/*
		Construit la requete POST en associant une partie fixe avec la partie variable
		partie fixe : 
		POST /creer.htm HTTP/1.1 
		Host: xxx.xxx.xxx.xxx
		Accept-Language: fr,fr-fr;q=0.8,en-us;q=0.5,en;q=0.3 
		Accept-Encoding: gzip, deflate 
		Connection: keep-alive 
		Content-Type: application/x-www-form-urlencoded Content-Length: ??

		mes_n=1&action_mes=Tester+un+message&mes_defil=M essage+fixe&mes_text=????????????????????????&mes_clig= 


		*/
		//String^ sPost="POST /creer.htm HTTP/1.1\r\nHost: ";
		String^ sDataDebut="mes_n=1&action_mes=Tester+un+message&mes_defil=Message+fixe&mes_text=";
		String^ sDataFin="&mes_clig=";
		String^ sDataMessage=sMessage;
		String^ sDataComplet="";
		int tailleData;

		sPost="POST /creer.htm HTTP/1.1\r\nHost: ";
		sPost=sPost+addrIP+"\r\nAccept: text/html\r\nAccept-Language: fr,fr-fr;q=0.8,en-us;q=0.5,en;q=0.3\r\n";
		sPost = sPost + "Accept-Encoding: gzip, deflate\r\nReferer: http://"+addrIP+"/creer.htm\r\nConnection: keep-alive\r\nContent-Type: application/x-www-form-urlencoded\r\nContent-Length: ";
		sDataComplet = sDataDebut + sDataMessage + sDataFin;
		tailleData=sDataComplet->Length;
		sPost = sPost + tailleData+"\r\n\r\n";//double retour chariot obligatoire
		sPost=sPost+sDataComplet;//POST complet
		
		//MessageBox::Show(sPost);

	}//construitPost

	

	void Connect( String^ server, String^ message,String^ sPort )
{

	Int32 port=0;
	Int32::TryParse(sPort, port);//converti string en int32 

   try
   {
      // Create a TcpClient.
      // Note, for this client to work you need to have a TcpServer 
      // connected to the same address as specified by the server, port
      // combination.
      //Int32 port = 13000;
      TcpClient^ client = gcnew TcpClient( server,port );

      // Translate the passed message into ASCII and store it as a Byte array.
      array<Byte>^ data = System::Text::Encoding::ASCII->GetBytes( message );

      // Get a client stream for reading and writing.
      //  Stream stream = client->GetStream();

      NetworkStream^ stream = client->GetStream();

      // Send the message to the connected TcpServer. 
      stream->Write( data, 0, data->Length );

      //Console::WriteLine( "Sent: {0}", message );
	  MessageBox::Show(message,"Message envoy");

      // Receive the TcpServer::response.

      // Buffer to store the response bytes.
      data = gcnew array<Byte>(256);

      // String to store the response ASCII representation.
	  String^ responseData = String::Empty;

	  
      // Read the first batch of the TcpServer response bytes.
      Int32 bytes = stream->Read( data, 0, data->Length );
      responseData = System::Text::Encoding::ASCII->GetString( data, 0, bytes );
      //Console::WriteLine( "Received: {0}", responseData );
	  MessageBox::Show(responseData,"Rponse serveur");
      // Close everything.
      client->Close();
   }
   catch ( ArgumentNullException^ e ) 
   {
      //Console::WriteLine( "ArgumentNullException: {0}", e );
   }
   catch ( SocketException^ e ) 
   {
      //Console::WriteLine( "SocketException: {0}", e );
   }

   //Console::WriteLine( "\n Press Enter to continue..." );
   
}//void connect


	

	/// <summary>
	/// Description rsume de Form1
	/// </summary>
	public ref class Form1 : public System::Windows::Forms::Form
	{
	public:
		Form1(void)
		{
			InitializeComponent();


			//
			//TODO: ajoutez ici le code du constructeur
			//
		}

	int donneesConforme(){
		/*ok
		Fonction vrifiant que les donnes entres dans le tableau sont conforme : 
		Si 3 messages diffrents alors 3 temps associs et 3 type de message (FixeDefilantClignotant)
		La fonction renvoi un int 0 si conforme 1 si non conforme un code identifit l'erreur
		*/
		//dterminer le nb de ligne du textbox_messages
		//tester si textbox_duree et textbox_type contiennent autant le ligne
		int erreurCode=0;
		int nbMessages=0;
		int nbDuree=0;
		int nbStyle=0;

		nbMessages = textBox_messages->Lines->Length;
		nbDuree = textBox_dureeMessages->Lines->Length;
		nbStyle = textBox_styleMessages->Lines->Length;
		if(nbMessages !=nbDuree) erreurCode=1;
		if(nbMessages !=nbStyle) erreurCode=2;
		switch (erreurCode)
		{
			case 0:
				break;
			case 1 : 
				MessageBox::Show("Erreur sur les dures " + nbDuree +" != "+nbMessages,"Conformit des messages");
				break;
			case 2 : 
				MessageBox::Show("Erreur sur les styles "+ nbStyle +" != "+nbMessages,"Conformit des messages");
				break;
			default: MessageBox::Show("Erreur");
		}//switch

		return erreurCode;
	}//dataConforme

	void Sauvegarder()
	{
		//Sauvegarde les tableaux dans 3 fichiers .ai, .ia_duree, .ai_style
		String^ nomFichier;

			 saveFileDialog1->ShowDialog();//appel de la boite de dialogue
			 nomFichier=saveFileDialog1->FileName;
			if(nomFichier != "")
			{
				//sauve les messages
				StreamWriter^ sw = gcnew StreamWriter(nomFichier);
				sw->WriteLine(textBox_messages->Text);
				sw->Close();
				//sauve les duree dans un fichier nomFichier_duree.ai
				StreamWriter^ sw2 = gcnew StreamWriter(nomFichier+"_duree");
				sw2->WriteLine(textBox_dureeMessages->Text);
				sw2->Close();
				//sauve les styles dans un fichier nomFichier_style.ai
				StreamWriter^ sw3 = gcnew StreamWriter(nomFichier+"_style");
				sw3->WriteLine(textBox_styleMessages->Text);
				sw3->Close();

			}//if

	}//Sauvegarder

	void ouvrirSauvegarde()
	{
		//Ouvre les fichiers de sauvegarde
		String^ nomFichier = "";
   
      openFileDialog1->ShowDialog();//appel de la boite de dialogue
	  nomFichier=openFileDialog1->FileName;
	  //ouverture et lecture de nomFichier
      StreamReader^ din = File::OpenText(nomFichier);
      textBox_messages->Text=din->ReadToEnd();//lecture du flux jusqu' la fin
	  din->Close();
	  //ouverture et lecture de nomFichier_duree
	  StreamReader^ din2 = File::OpenText(nomFichier+"_duree");
      textBox_dureeMessages->Text=din2->ReadToEnd();//lecture du flux jusqu' la fin
	  din2->Close();
	  //ouverture et lecture de nomFichier_style
	  StreamReader^ din3 = File::OpenText(nomFichier+"_style");
      textBox_styleMessages->Text=din3->ReadToEnd();//lecture du flux jusqu' la fin
	  din3->Close();
	  
	}//ouvrirSauvegarde


	void pLancerSequence()
	{
		/*
		Pour le nombre de ligne de textbox_messages faire
			construire le post
			envoyer le post
			attendre le temps indiqu
			rinitialiser le timer avec la valeur futur
		recommencer indfiniement si coch

		rmq : timer se dclenche par "enable" toutes les "interval ms" et il se produit "tick"

		*/
		String^ sPost;
		Int32 duree=0;

		if(donneesConforme()==0) 
		{ //donnees conformes

			for(int i=0;i<textBox_messages->Lines->Length;++i)
			{
				//gere la duree
				Int32::TryParse(textBox_dureeMessages->Lines[i],duree);//converti string en int32 
				timer_message->Interval = duree*1000;//lecture de la duree
				timer_message->Enabled=true;
				//creer le  POST
				construitPost(textBox_IP->Text,textBox_messages->Lines[i],sPost);//Construit le POST
				textBox_tampon->Text=sPost;
				MessageBox::Show(sPost,"debug pLancerSequence()");
				//envoi le POST
				Connect(textBox_IP->Text,textBox_tampon->Text,textBox_numPort->Text);//envoie  l'ip
		
				
			}//for	 

		}//if	


	}// pLancerSequence
	

	protected:
		/// <summary>
		/// Nettoyage des ressources utilises.
		/// </summary>
		~Form1()
		{
			if (components)
			{
				delete components;
			}
		}
	private: System::Windows::Forms::TabControl^  tabControl1;
	private: System::Windows::Forms::TabPage^  tabPage_affichage;
	protected: 

	private: System::Windows::Forms::TabPage^  tabPage_reseau;


	private: System::Windows::Forms::MenuStrip^  menuStrip1;
	private: System::Windows::Forms::ToolStripMenuItem^  toolStripMenuItem1;
	private: System::Windows::Forms::ToolStripMenuItem^  ouvrirToolStripMenuItem;
	private: System::Windows::Forms::ToolStripMenuItem^  nouveauToolStripMenuItem;

	private: System::Windows::Forms::ToolStripSeparator^  toolStripMenuItem2;
	private: System::Windows::Forms::ToolStripMenuItem^  quitterToolStripMenuItem;




	private: System::Windows::Forms::ToolStripMenuItem^  sauverToolStripMenuItem;
	private: System::Windows::Forms::ToolStripSeparator^  toolStripMenuItem3;
	private: System::Windows::Forms::SaveFileDialog^  saveFileDialog1;







	private: System::Windows::Forms::TableLayoutPanel^  tableLayoutPanel1;
	private: System::Windows::Forms::Label^  label_IpAfficheur;
	private: System::Windows::Forms::Button^  button_Test_Envoyer;



	private: System::Windows::Forms::Button^  button_Lancersequence;

	private: System::Windows::Forms::PictureBox^  pictureBox_lancer;
	private: System::Windows::Forms::ProgressBar^  progressBar1;
	private: System::Windows::Forms::Button^  button_TestIP;
	private: System::Windows::Forms::TextBox^  textBox_numPort;
	private: System::Windows::Forms::Label^  label_numPort;
	private: System::Windows::Forms::Label^  label_messages;
	private: System::Windows::Forms::TextBox^  textBox_messages;

	private: System::Windows::Forms::Label^  label_Info;
	private: System::Windows::Forms::CheckBox^  checkBox_boucleEnoyer;

	private: System::Windows::Forms::TextBox^  textBox_IP;
	private: System::Windows::Forms::TabPage^  tabPage_test;

	private: System::Windows::Forms::TextBox^  textBox_TestMessage;
	private: System::Windows::Forms::Button^  button_Envoyer;

	private: System::Windows::Forms::Button^  button_OuvrirTextTest;
	private: System::Windows::Forms::OpenFileDialog^  openFileDialog_txtTest;
	private: System::Windows::Forms::TextBox^  textBox_styleMessages;
	private: System::Windows::Forms::TextBox^  textBox_dureeMessages;
	private: System::Windows::Forms::TabPage^  tabPage_tampon;
	private: System::Windows::Forms::TextBox^  textBox_tampon;
	private: System::Windows::Forms::Timer^  timer_message;
private: System::Windows::Forms::OpenFileDialog^  openFileDialog1;




	private: System::ComponentModel::IContainer^  components;











	private:
		/// <summary>
		/// Variable ncessaire au concepteur.
		/// </summary>


#pragma region Windows Form Designer generated code
		/// <summary>
		/// Mthode requise pour la prise en charge du concepteur - ne modifiez pas
		/// le contenu de cette mthode avec l'diteur de code.
		/// </summary>
		void InitializeComponent(void)
		{
			this->components = (gcnew System::ComponentModel::Container());
			this->tabControl1 = (gcnew System::Windows::Forms::TabControl());
			this->tabPage_affichage = (gcnew System::Windows::Forms::TabPage());
			this->textBox_styleMessages = (gcnew System::Windows::Forms::TextBox());
			this->textBox_dureeMessages = (gcnew System::Windows::Forms::TextBox());
			this->button_Envoyer = (gcnew System::Windows::Forms::Button());
			this->label_messages = (gcnew System::Windows::Forms::Label());
			this->pictureBox_lancer = (gcnew System::Windows::Forms::PictureBox());
			this->textBox_messages = (gcnew System::Windows::Forms::TextBox());
			this->button_Lancersequence = (gcnew System::Windows::Forms::Button());
			this->tabPage_reseau = (gcnew System::Windows::Forms::TabPage());
			this->textBox_IP = (gcnew System::Windows::Forms::TextBox());
			this->textBox_numPort = (gcnew System::Windows::Forms::TextBox());
			this->label_numPort = (gcnew System::Windows::Forms::Label());
			this->progressBar1 = (gcnew System::Windows::Forms::ProgressBar());
			this->button_TestIP = (gcnew System::Windows::Forms::Button());
			this->label_IpAfficheur = (gcnew System::Windows::Forms::Label());
			this->tableLayoutPanel1 = (gcnew System::Windows::Forms::TableLayoutPanel());
			this->tabPage_test = (gcnew System::Windows::Forms::TabPage());
			this->button_OuvrirTextTest = (gcnew System::Windows::Forms::Button());
			this->textBox_TestMessage = (gcnew System::Windows::Forms::TextBox());
			this->button_Test_Envoyer = (gcnew System::Windows::Forms::Button());
			this->tabPage_tampon = (gcnew System::Windows::Forms::TabPage());
			this->textBox_tampon = (gcnew System::Windows::Forms::TextBox());
			this->label_Info = (gcnew System::Windows::Forms::Label());
			this->menuStrip1 = (gcnew System::Windows::Forms::MenuStrip());
			this->toolStripMenuItem1 = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->ouvrirToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->nouveauToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->toolStripMenuItem2 = (gcnew System::Windows::Forms::ToolStripSeparator());
			this->sauverToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->toolStripMenuItem3 = (gcnew System::Windows::Forms::ToolStripSeparator());
			this->quitterToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->saveFileDialog1 = (gcnew System::Windows::Forms::SaveFileDialog());
			this->checkBox_boucleEnoyer = (gcnew System::Windows::Forms::CheckBox());
			this->openFileDialog_txtTest = (gcnew System::Windows::Forms::OpenFileDialog());
			this->timer_message = (gcnew System::Windows::Forms::Timer(this->components));
			this->openFileDialog1 = (gcnew System::Windows::Forms::OpenFileDialog());
			this->tabControl1->SuspendLayout();
			this->tabPage_affichage->SuspendLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->pictureBox_lancer))->BeginInit();
			this->tabPage_reseau->SuspendLayout();
			this->tabPage_test->SuspendLayout();
			this->tabPage_tampon->SuspendLayout();
			this->menuStrip1->SuspendLayout();
			this->SuspendLayout();
			// 
			// tabControl1
			// 
			this->tabControl1->Controls->Add(this->tabPage_affichage);
			this->tabControl1->Controls->Add(this->tabPage_reseau);
			this->tabControl1->Controls->Add(this->tabPage_test);
			this->tabControl1->Controls->Add(this->tabPage_tampon);
			this->tabControl1->Location = System::Drawing::Point(0, 31);
			this->tabControl1->Name = L"tabControl1";
			this->tabControl1->SelectedIndex = 0;
			this->tabControl1->Size = System::Drawing::Size(698, 432);
			this->tabControl1->TabIndex = 0;
			// 
			// tabPage_affichage
			// 
			this->tabPage_affichage->Controls->Add(this->textBox_styleMessages);
			this->tabPage_affichage->Controls->Add(this->textBox_dureeMessages);
			this->tabPage_affichage->Controls->Add(this->button_Envoyer);
			this->tabPage_affichage->Controls->Add(this->label_messages);
			this->tabPage_affichage->Controls->Add(this->pictureBox_lancer);
			this->tabPage_affichage->Controls->Add(this->textBox_messages);
			this->tabPage_affichage->Controls->Add(this->button_Lancersequence);
			this->tabPage_affichage->Location = System::Drawing::Point(4, 25);
			this->tabPage_affichage->Name = L"tabPage_affichage";
			this->tabPage_affichage->Padding = System::Windows::Forms::Padding(3);
			this->tabPage_affichage->Size = System::Drawing::Size(690, 403);
			this->tabPage_affichage->TabIndex = 0;
			this->tabPage_affichage->Text = L"Affichage";
			this->tabPage_affichage->UseVisualStyleBackColor = true;
			this->tabPage_affichage->Click += gcnew System::EventHandler(this, &Form1::tabPage1_Click);
			// 
			// textBox_styleMessages
			// 
			this->textBox_styleMessages->Location = System::Drawing::Point(608, 24);
			this->textBox_styleMessages->Multiline = true;
			this->textBox_styleMessages->Name = L"textBox_styleMessages";
			this->textBox_styleMessages->ScrollBars = System::Windows::Forms::ScrollBars::Vertical;
			this->textBox_styleMessages->Size = System::Drawing::Size(72, 338);
			this->textBox_styleMessages->TabIndex = 9;
			// 
			// textBox_dureeMessages
			// 
			this->textBox_dureeMessages->Location = System::Drawing::Point(530, 23);
			this->textBox_dureeMessages->Multiline = true;
			this->textBox_dureeMessages->Name = L"textBox_dureeMessages";
			this->textBox_dureeMessages->ScrollBars = System::Windows::Forms::ScrollBars::Vertical;
			this->textBox_dureeMessages->Size = System::Drawing::Size(72, 338);
			this->textBox_dureeMessages->TabIndex = 8;
			// 
			// button_Envoyer
			// 
			this->button_Envoyer->Location = System::Drawing::Point(6, 368);
			this->button_Envoyer->Name = L"button_Envoyer";
			this->button_Envoyer->Size = System::Drawing::Size(271, 29);
			this->button_Envoyer->TabIndex = 7;
			this->button_Envoyer->Text = L"Envoyer un message vers afficheur";
			this->button_Envoyer->UseVisualStyleBackColor = true;
			this->button_Envoyer->Click += gcnew System::EventHandler(this, &Form1::button_Envoyer_Click);
			// 
			// label_messages
			// 
			this->label_messages->AutoSize = true;
			this->label_messages->Location = System::Drawing::Point(3, 3);
			this->label_messages->Name = L"label_messages";
			this->label_messages->Size = System::Drawing::Size(591, 17);
			this->label_messages->TabIndex = 6;
			this->label_messages->Text = L"1 message /ligne (24 lettres max) / dure secondes / Style : F (fixe),D (dfilant" 
				L"),C (clignotant)";
			this->label_messages->Click += gcnew System::EventHandler(this, &Form1::label_messages_Click);
			// 
			// pictureBox_lancer
			// 
			this->pictureBox_lancer->Location = System::Drawing::Point(614, 375);
			this->pictureBox_lancer->Name = L"pictureBox_lancer";
			this->pictureBox_lancer->Size = System::Drawing::Size(24, 22);
			this->pictureBox_lancer->TabIndex = 6;
			this->pictureBox_lancer->TabStop = false;
			// 
			// textBox_messages
			// 
			this->textBox_messages->Location = System::Drawing::Point(3, 23);
			this->textBox_messages->Multiline = true;
			this->textBox_messages->Name = L"textBox_messages";
			this->textBox_messages->ScrollBars = System::Windows::Forms::ScrollBars::Vertical;
			this->textBox_messages->Size = System::Drawing::Size(521, 339);
			this->textBox_messages->TabIndex = 5;
			this->textBox_messages->Text = L"Bienvenue";
			this->textBox_messages->WordWrap = false;
			this->textBox_messages->TextChanged += gcnew System::EventHandler(this, &Form1::textBox_messages_TextChanged);
			this->textBox_messages->Leave += gcnew System::EventHandler(this, &Form1::textBox_messages_Leave);
			// 
			// button_Lancersequence
			// 
			this->button_Lancersequence->Location = System::Drawing::Point(430, 368);
			this->button_Lancersequence->Name = L"button_Lancersequence";
			this->button_Lancersequence->Size = System::Drawing::Size(158, 29);
			this->button_Lancersequence->TabIndex = 4;
			this->button_Lancersequence->Text = L"Lancer la squence";
			this->button_Lancersequence->UseVisualStyleBackColor = true;
			this->button_Lancersequence->Click += gcnew System::EventHandler(this, &Form1::button_Lancersequence_Click);
			// 
			// tabPage_reseau
			// 
			this->tabPage_reseau->Controls->Add(this->textBox_IP);
			this->tabPage_reseau->Controls->Add(this->textBox_numPort);
			this->tabPage_reseau->Controls->Add(this->label_numPort);
			this->tabPage_reseau->Controls->Add(this->progressBar1);
			this->tabPage_reseau->Controls->Add(this->button_TestIP);
			this->tabPage_reseau->Controls->Add(this->label_IpAfficheur);
			this->tabPage_reseau->Controls->Add(this->tableLayoutPanel1);
			this->tabPage_reseau->Location = System::Drawing::Point(4, 25);
			this->tabPage_reseau->Name = L"tabPage_reseau";
			this->tabPage_reseau->Padding = System::Windows::Forms::Padding(3);
			this->tabPage_reseau->Size = System::Drawing::Size(690, 403);
			this->tabPage_reseau->TabIndex = 1;
			this->tabPage_reseau->Text = L"Rseau";
			this->tabPage_reseau->UseVisualStyleBackColor = true;
			// 
			// textBox_IP
			// 
			this->textBox_IP->Location = System::Drawing::Point(222, 43);
			this->textBox_IP->Name = L"textBox_IP";
			this->textBox_IP->Size = System::Drawing::Size(118, 22);
			this->textBox_IP->TabIndex = 8;
			this->textBox_IP->Text = L"192.168.1.11";
			this->textBox_IP->TextChanged += gcnew System::EventHandler(this, &Form1::textBox_IP_TextChanged);
			// 
			// textBox_numPort
			// 
			this->textBox_numPort->Location = System::Drawing::Point(467, 43);
			this->textBox_numPort->Name = L"textBox_numPort";
			this->textBox_numPort->Size = System::Drawing::Size(41, 22);
			this->textBox_numPort->TabIndex = 7;
			this->textBox_numPort->Text = L"80";
			// 
			// label_numPort
			// 
			this->label_numPort->AutoSize = true;
			this->label_numPort->Location = System::Drawing::Point(346, 43);
			this->label_numPort->Name = L"label_numPort";
			this->label_numPort->Size = System::Drawing::Size(115, 17);
			this->label_numPort->TabIndex = 6;
			this->label_numPort->Text = L"Numro du port :";
			// 
			// progressBar1
			// 
			this->progressBar1->Location = System::Drawing::Point(222, 89);
			this->progressBar1->Name = L"progressBar1";
			this->progressBar1->Size = System::Drawing::Size(286, 23);
			this->progressBar1->TabIndex = 4;
			// 
			// button_TestIP
			// 
			this->button_TestIP->AccessibleDescription = L"";
			this->button_TestIP->Location = System::Drawing::Point(105, 89);
			this->button_TestIP->Name = L"button_TestIP";
			this->button_TestIP->Size = System::Drawing::Size(111, 23);
			this->button_TestIP->TabIndex = 3;
			this->button_TestIP->Tag = L"";
			this->button_TestIP->Text = L"Tester l\'IP ...";
			this->button_TestIP->UseVisualStyleBackColor = true;
			// 
			// label_IpAfficheur
			// 
			this->label_IpAfficheur->AutoSize = true;
			this->label_IpAfficheur->Location = System::Drawing::Point(15, 43);
			this->label_IpAfficheur->Name = L"label_IpAfficheur";
			this->label_IpAfficheur->Size = System::Drawing::Size(201, 17);
			this->label_IpAfficheur->TabIndex = 2;
			this->label_IpAfficheur->Text = L"IP de l\'afficheur : xxx.xxx.xxx.xxx";
			// 
			// tableLayoutPanel1
			// 
			this->tableLayoutPanel1->AutoSize = true;
			this->tableLayoutPanel1->ColumnCount = 2;
			this->tableLayoutPanel1->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle(System::Windows::Forms::SizeType::Percent, 
				50)));
			this->tableLayoutPanel1->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle(System::Windows::Forms::SizeType::Percent, 
				50)));
			this->tableLayoutPanel1->Location = System::Drawing::Point(340, 113);
			this->tableLayoutPanel1->Name = L"tableLayoutPanel1";
			this->tableLayoutPanel1->RowCount = 2;
			this->tableLayoutPanel1->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Percent, 50)));
			this->tableLayoutPanel1->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Percent, 50)));
			this->tableLayoutPanel1->Size = System::Drawing::Size(0, 0);
			this->tableLayoutPanel1->TabIndex = 0;
			// 
			// tabPage_test
			// 
			this->tabPage_test->Controls->Add(this->button_OuvrirTextTest);
			this->tabPage_test->Controls->Add(this->textBox_TestMessage);
			this->tabPage_test->Controls->Add(this->button_Test_Envoyer);
			this->tabPage_test->Location = System::Drawing::Point(4, 25);
			this->tabPage_test->Name = L"tabPage_test";
			this->tabPage_test->Size = System::Drawing::Size(690, 403);
			this->tabPage_test->TabIndex = 2;
			this->tabPage_test->Text = L"Test";
			this->tabPage_test->UseVisualStyleBackColor = true;
			// 
			// button_OuvrirTextTest
			// 
			this->button_OuvrirTextTest->Location = System::Drawing::Point(427, 363);
			this->button_OuvrirTextTest->Name = L"button_OuvrirTextTest";
			this->button_OuvrirTextTest->Size = System::Drawing::Size(182, 37);
			this->button_OuvrirTextTest->TabIndex = 7;
			this->button_OuvrirTextTest->Text = L"Ouvrir fichier texte...";
			this->button_OuvrirTextTest->UseVisualStyleBackColor = true;
			this->button_OuvrirTextTest->Click += gcnew System::EventHandler(this, &Form1::button_OuvrirTextTest_Click);
			// 
			// textBox_TestMessage
			// 
			this->textBox_TestMessage->Location = System::Drawing::Point(5, 14);
			this->textBox_TestMessage->Multiline = true;
			this->textBox_TestMessage->Name = L"textBox_TestMessage";
			this->textBox_TestMessage->ScrollBars = System::Windows::Forms::ScrollBars::Both;
			this->textBox_TestMessage->Size = System::Drawing::Size(681, 343);
			this->textBox_TestMessage->TabIndex = 6;
			this->textBox_TestMessage->Text = L"saisissez votre texte...";
			this->textBox_TestMessage->WordWrap = false;
			this->textBox_TestMessage->TextChanged += gcnew System::EventHandler(this, &Form1::textBox_TestMessage_TextChanged);
			// 
			// button_Test_Envoyer
			// 
			this->button_Test_Envoyer->Location = System::Drawing::Point(8, 363);
			this->button_Test_Envoyer->Name = L"button_Test_Envoyer";
			this->button_Test_Envoyer->Size = System::Drawing::Size(296, 37);
			this->button_Test_Envoyer->TabIndex = 3;
			this->button_Test_Envoyer->Text = L"Test : Envoyer vers afficheur";
			this->button_Test_Envoyer->UseVisualStyleBackColor = true;
			this->button_Test_Envoyer->Click += gcnew System::EventHandler(this, &Form1::button_Test_Envoyer_Click);
			// 
			// tabPage_tampon
			// 
			this->tabPage_tampon->Controls->Add(this->textBox_tampon);
			this->tabPage_tampon->Location = System::Drawing::Point(4, 25);
			this->tabPage_tampon->Name = L"tabPage_tampon";
			this->tabPage_tampon->Size = System::Drawing::Size(690, 403);
			this->tabPage_tampon->TabIndex = 3;
			this->tabPage_tampon->Text = L"Tampon";
			this->tabPage_tampon->UseVisualStyleBackColor = true;
			// 
			// textBox_tampon
			// 
			this->textBox_tampon->Location = System::Drawing::Point(17, 17);
			this->textBox_tampon->Multiline = true;
			this->textBox_tampon->Name = L"textBox_tampon";
			this->textBox_tampon->ScrollBars = System::Windows::Forms::ScrollBars::Horizontal;
			this->textBox_tampon->Size = System::Drawing::Size(633, 362);
			this->textBox_tampon->TabIndex = 0;
			this->textBox_tampon->WordWrap = false;
			// 
			// label_Info
			// 
			this->label_Info->Location = System::Drawing::Point(7, 470);
			this->label_Info->Name = L"label_Info";
			this->label_Info->Size = System::Drawing::Size(397, 44);
			this->label_Info->TabIndex = 7;
			this->label_Info->Text = L"Info...";
			// 
			// menuStrip1
			// 
			this->menuStrip1->Items->AddRange(gcnew cli::array< System::Windows::Forms::ToolStripItem^  >(1) {this->toolStripMenuItem1});
			this->menuStrip1->Location = System::Drawing::Point(0, 0);
			this->menuStrip1->Name = L"menuStrip1";
			this->menuStrip1->Size = System::Drawing::Size(698, 28);
			this->menuStrip1->TabIndex = 2;
			this->menuStrip1->Text = L"menuStrip1";
			this->menuStrip1->ItemClicked += gcnew System::Windows::Forms::ToolStripItemClickedEventHandler(this, &Form1::menuStrip1_ItemClicked);
			// 
			// toolStripMenuItem1
			// 
			this->toolStripMenuItem1->DropDownItems->AddRange(gcnew cli::array< System::Windows::Forms::ToolStripItem^  >(6) {this->ouvrirToolStripMenuItem, 
				this->nouveauToolStripMenuItem, this->toolStripMenuItem2, this->sauverToolStripMenuItem, this->toolStripMenuItem3, this->quitterToolStripMenuItem});
			this->toolStripMenuItem1->Name = L"toolStripMenuItem1";
			this->toolStripMenuItem1->Size = System::Drawing::Size(73, 24);
			this->toolStripMenuItem1->Text = L"&Fichier...";
			// 
			// ouvrirToolStripMenuItem
			// 
			this->ouvrirToolStripMenuItem->Name = L"ouvrirToolStripMenuItem";
			this->ouvrirToolStripMenuItem->Size = System::Drawing::Size(137, 24);
			this->ouvrirToolStripMenuItem->Text = L"&Ouvrir";
			this->ouvrirToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::ouvrirToolStripMenuItem_Click);
			// 
			// nouveauToolStripMenuItem
			// 
			this->nouveauToolStripMenuItem->Name = L"nouveauToolStripMenuItem";
			this->nouveauToolStripMenuItem->Size = System::Drawing::Size(137, 24);
			this->nouveauToolStripMenuItem->Text = L"&Nouveau";
			// 
			// toolStripMenuItem2
			// 
			this->toolStripMenuItem2->Name = L"toolStripMenuItem2";
			this->toolStripMenuItem2->Size = System::Drawing::Size(134, 6);
			// 
			// sauverToolStripMenuItem
			// 
			this->sauverToolStripMenuItem->Name = L"sauverToolStripMenuItem";
			this->sauverToolStripMenuItem->Size = System::Drawing::Size(137, 24);
			this->sauverToolStripMenuItem->Text = L"&Sauver...";
			this->sauverToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::sauverToolStripMenuItem_Click);
			// 
			// toolStripMenuItem3
			// 
			this->toolStripMenuItem3->Name = L"toolStripMenuItem3";
			this->toolStripMenuItem3->Size = System::Drawing::Size(134, 6);
			// 
			// quitterToolStripMenuItem
			// 
			this->quitterToolStripMenuItem->Name = L"quitterToolStripMenuItem";
			this->quitterToolStripMenuItem->Size = System::Drawing::Size(137, 24);
			this->quitterToolStripMenuItem->Text = L"&Quitter";
			this->quitterToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::quitterToolStripMenuItem_Click);
			// 
			// saveFileDialog1
			// 
			this->saveFileDialog1->FileName = L"Save01.ai";
			this->saveFileDialog1->Filter = L"Fichiers texte (*.ai)|*.ai";
			this->saveFileDialog1->ShowHelp = true;
			this->saveFileDialog1->Title = L"Sauver dans un fichier";
			// 
			// checkBox_boucleEnoyer
			// 
			this->checkBox_boucleEnoyer->AutoSize = true;
			this->checkBox_boucleEnoyer->Location = System::Drawing::Point(410, 469);
			this->checkBox_boucleEnoyer->Name = L"checkBox_boucleEnoyer";
			this->checkBox_boucleEnoyer->Size = System::Drawing::Size(131, 21);
			this->checkBox_boucleEnoyer->TabIndex = 8;
			this->checkBox_boucleEnoyer->Text = L"Envoi en boucle";
			this->checkBox_boucleEnoyer->UseVisualStyleBackColor = true;
			// 
			// openFileDialog_txtTest
			// 
			this->openFileDialog_txtTest->FileName = L"openFileDialog1";
			this->openFileDialog_txtTest->Filter = L"Fichiers texte (*.txt)|*.txt|Tous les fichiers (*.*)|*.*";
			this->openFileDialog_txtTest->Title = L"Ouvrir fichier test...";
			// 
			// timer_message
			// 
			this->timer_message->Interval = 1000;
			this->timer_message->Tick += gcnew System::EventHandler(this, &Form1::timer_message_Tick);
			// 
			// openFileDialog1
			// 
			this->openFileDialog1->FileName = L"openFileDialog1";
			// 
			// Form1
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(8, 16);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(698, 519);
			this->Controls->Add(this->checkBox_boucleEnoyer);
			this->Controls->Add(this->label_Info);
			this->Controls->Add(this->menuStrip1);
			this->Controls->Add(this->tabControl1);
			this->MainMenuStrip = this->menuStrip1;
			this->Name = L"Form1";
			this->Text = L"Afficheur industriel (en cours)";
			this->tabControl1->ResumeLayout(false);
			this->tabPage_affichage->ResumeLayout(false);
			this->tabPage_affichage->PerformLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->pictureBox_lancer))->EndInit();
			this->tabPage_reseau->ResumeLayout(false);
			this->tabPage_reseau->PerformLayout();
			this->tabPage_test->ResumeLayout(false);
			this->tabPage_test->PerformLayout();
			this->tabPage_tampon->ResumeLayout(false);
			this->tabPage_tampon->PerformLayout();
			this->menuStrip1->ResumeLayout(false);
			this->menuStrip1->PerformLayout();
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion



private: System::Void quitterToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {
		 this->Close();//ferme l'application
		 }
private: System::Void tabPage1_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void sauverToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {	 
			Sauvegarder();
		 }
private: System::Void label2_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void dataGridView1_CellContentClick(System::Object^  sender, System::Windows::Forms::DataGridViewCellEventArgs^  e) {
		 }
private: System::Void button_Test_Envoyer_Click(System::Object^  sender, System::EventArgs^  e) {
			 
			 Connect(textBox_IP->Text,textBox_TestMessage->Text,textBox_numPort->Text);//envoie  l'ip
			//ok test vers un serveur Wamp sur un autre PC
		
		 }
private: System::Void maskedTextBox1_MaskInputRejected(System::Object^  sender, System::Windows::Forms::MaskInputRejectedEventArgs^  e) {
		 }
private: System::Void button_Lancersequence_Click(System::Object^  sender, System::EventArgs^  e) {
		/*
		
		Pour le nombre de ligne de textbox_messages faire
			construire le post
			envoyer le post
			attendre le temps indiqu
			rinitialiser le timer avec la valeur futur
		recommencer indfiniement si coch

		*/
		/*
		String^ sPost;

		if(donneesConforme()==0) {

			for(int i=0;i<textBox_messages->Lines->Length;++i){
				construitPost(textBox_IP->Text,textBox_messages->Lines[i],sPost);//Construit le POST
				textBox_tampon->Text=sPost;
				MessageBox::Show(sPost);
				Connect(textBox_IP->Text,textBox_tampon->Text,textBox_numPort->Text);//envoie  l'ip


				}//for	 

			}//if	
		*/
		pLancerSequence();
		 }


private: System::Void textBox_TestMessage_TextChanged(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void button_Envoyer_Click(System::Object^  sender, System::EventArgs^  e) {
				
				/*
				Envoi la requete :
				Contruit le POST a envoyer
				Sauve lePOST dans le textbox_tampon pour vrification
				Connexion et envoi du POST
				*/
			 
				String^ sPost;

				construitPost(textBox_IP->Text,textBox_messages->Lines[0],sPost);//Construit le POST

				textBox_tampon->Text=sPost;
				MessageBox::Show(sPost);
				Connect(textBox_IP->Text,textBox_tampon->Text,textBox_numPort->Text);//envoie  l'ip
		
		 }
private: System::Void label_messages_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void button_OuvrirTextTest_Click(System::Object^  sender, System::EventArgs^  e) {
			 
			 /*
			 Lecture dans un fichier texte de la requete  envoyer
			 Utiliser pour tester la connexion
			 */
			 
			 String^ line;

			 if(openFileDialog_txtTest->ShowDialog() == System::Windows::Forms::DialogResult::OK)
			{
				StreamReader ^ sr = gcnew StreamReader(openFileDialog_txtTest->FileName);//creation et ouverture du flux en lecture
				textBox_TestMessage->Text=sr->ReadToEnd();//lecture du flux jusqu' la fin
				sr->Close();

			}


		 }
private: System::Void textBox_IP_TextChanged(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void textBox_messages_TextChanged(System::Object^  sender, System::EventArgs^  e) {
			 

		 }
private: System::Void textBox_messages_Leave(System::Object^  sender, System::EventArgs^  e) {
		 
		 //test si ddes lignes sont insrs et remplit automatiquement avec des valeurs par dfaut de textBox_dureeMessages et textBox_styleMessages
	/*
		//MessageBox::Show("Nb de lignes textBox_messages "+textBox_messages->Lines->Length);
		if (textBox_messages->Lines->Length !=0)
		 {
			 for (int i=1;i<textBox_messages->Lines->Length;i++)
			 {
				 //textBox_dureeMessages
				 textBox_dureeMessages->Lines[i]="3";
				 textBox_styleMessages->Lines[i]="F";
			 }//for
		 }//then
		 */
		 }
private: System::Void menuStrip1_ItemClicked(System::Object^  sender, System::Windows::Forms::ToolStripItemClickedEventArgs^  e) {
		 }
private: System::Void ouvrirToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {
		 
	ouvrirSauvegarde();
		}
private: System::Void timer_message_Tick(System::Object^  sender, System::EventArgs^  e) {
		/*se produit  chaque fin du temps timer.Interval

		*/

		 }
};
}

